FTB Newsletter May 2016

Magzie

Well-Known Member
Mar 26, 2014
1,395
209
78
I can wait another 3 years for them to move on from 1.7.10. Whatever happens is going to happen naturally, organically, on behalf of multiple individual devs. There's absolutely zero sense in pressuring them (e.g. putting a negative light on the work they do) in order for them to move to a different version. At that point, a justified thing for them to do would be to just give you the finger and quit modding minecraft forever.
I don't know how my statement was read the way you read it. I am not forcing any issues or anything like that. I am post my opinion on what seems to be happening. This is based off the fact that Direwolf20/forgecraft is already quit development on 1.8 and moved on to 1.9 and also statements made by Tfox on videos with other youtubers. That being that they most likely will be moving straight to 1.9 because of how simple the upgrading is. Nor will may statements and opinions Change their mind. I am not insulting the mod devs or pack devs. Of course this is a discussion forum and everyone should be free to post what they think as long as they do it with respect. I also have no clue how i was being "negative" even though some of the best changes in gaming today have come from devs listening to negative comments. Not everything is peaches n cream. You can't have a public content and run when every negative feed back comes your way. You have to take that feed back to heart and if it has value and is true see what you can do to change it or move on and not let it bother you. Your other point in here is wrong as they have already said that the current 1.7.10 mod pack Inventions will be the last one with exception of releasing the wrenched as a pack/map or what ever. There will be no more 1.7.10 packs is the info they are sending for now. I don't see how posting there own comments is forcing unless this in referring to FTB forcing mod devs in which case you can Ignore this part of my Comment.
 

Pyure

Not Totally Useless
Aug 14, 2013
8,347
7,214
383
Waterloo, Ontario
I don't know how my statement was read the way you read it. I am not forcing any issues or anything like that. I am post my opinion on what seems to be happening. This is based off the fact that Direwolf20/forgecraft is already quit development on 1.8 and moved on to 1.9 and also statements made by Tfox on videos with other youtubers. That being that they most likely will be moving straight to 1.9 because of how simple the upgrading is. Nor will may statements and opinions Change their mind. I am not insulting the mod devs or pack devs.
Sorry if I implied you were being insulting, that wasn't my intention.

Of course this is a discussion forum and everyone should be free to post what they think as long as they do it with respect. I also have no clue how i was being "negative" even though some of the best changes in gaming today have come from devs listening to negative comments. Not everything is peaches n cream. You can't have a public content and run with every negative feed back. You have to take that feed back to heart and if it has value and is true see what you can do to change it or move on and not let it bother you.
Agreed on essentially all points. My point in return is that if opinions are expressed with "expectations", subtle or otherwise, intentional or otherwise, you can do more damage than good.

If someone says "I don't understand why you haven't moved on to 1.9", the implied expectation is that the dev should do so. The dev may justifiably wish to never migrate their code at all.

Your other point in here is wrong as they have already said that the current 1.7.10 mod pack Inventions will be the last one with exception of releasing the wrenched as a pack/map or what ever. There will be no more 1.7.10 packs is the info they are sending for now.
Which point exactly is wrong? I believe all I said was that I can tolerate 1.7.10 modpacks for as long as necessary, and that devs can produce mods at whichever MC version they like, and whichever pace they like.
 

Magzie

Well-Known Member
Mar 26, 2014
1,395
209
78
Sorry if I implied you were being insulting, that wasn't my intention.


Agreed on essentially all points. My point in return is that if opinions are expressed with "expectations", subtle or otherwise, intentional or otherwise, you can do more damage than good.

If someone says "I don't understand why you haven't moved on to 1.9", the implied expectation is that the dev should do so. The dev may justifiably wish to never migrate their code at all.


Which point exactly is wrong? I believe all I said was that I can tolerate 1.7.10 modpacks for as long as necessary, and that devs can produce mods at whichever MC version they like, and whichever pace they like.
I mistook the first part of your state before to mean that i was trying to force them to move on which now reading it again is not the case sorry.
 

jikuja

legacy FTB Launcher developer
Launcher Developer
Global Moderator
Dec 17, 2013
1,134
111
99
I don't care how simple it is to go from 1.8 to 1.9. For me it is simple they could make 1.8.9 packs right now. Doing so for say 6-8 months and then moving to 1.9.4 would ensure a better modded experience in 1.9. It doesn't seems to matter that we have been waiting for FTB 1.8 packs for what over a year. Right now we are looking at at least what 2-4 months before a FTB 1.9 pack comes out.
What is your plan for bugged 1.8.9 mods? Remove them or pack or demand mod authors to fix bugs?
 

Magzie

Well-Known Member
Mar 26, 2014
1,395
209
78
What is your plan for bugged 1.8.9 mods? Remove them or pack or demand mod authors to fix bugs?
I am not a Dev nor do I work for FTB. I am a Youtuber who loves making video for others enjoyment and showing off Mod dev and Mod packs devs cool ideas they have made in the game. I would guess the mod devs would be the ones to ask that question. For me ether it work well enough to be in a pack or I would select another one that did. If it is an interaction between 2 or more mods I would ask for help from the mods devs or disable the part/s that are causing the bug. Again not a pack or mod dev.